var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var orderlogSchema = new Schema({
    status: String,
    shopify_id: String,
    shipdeo_id: String,
    courier: String,
    courier_service: String,
    is_cod: Boolean,
    delivery_type: String,
    delivery_time: String,
    origin_lat: String,
    origin_long: String,
    origin_subdistrict_code: String,
    origin_subdistrict_name: String,
    origin_city_code: String,
    origin_city_name: String,
    origin_contact_name: String,
    origin_contact_phone: String,
    origin_contact_address: String,
    origin_contact_email: String,
    origin_note: String,
    origin_postal_code: String,
    destination_lat: String,
    destination_long: String,
    destination_subdistrict_code: String,
    destination_subdistrict_name: String,
    destination_city_code: String,
    destination_city_name: String,
    destination_postal_code: String,
    destination_contact_name: String,
    destination_contact_phone: String,
    destination_contact_address: String,
    destination_contact_email: String,
    destination_note: String,
    delivery_note: String,
    dimension_uom: String,
    items: Array,
    transaction: Object
});
module.exports =  mongoose.model('order_log', orderlogSchema, 'order_logs');